Bug 37763 - Compile Error in MathML-enabled build (r57788)
Summary: Compile Error in MathML-enabled build (r57788)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 37765
Blocks: 3251
  Show dependency treegraph
 
Reported: 2010-04-17 21:19 PDT by Jacques Distler
Modified: 2010-04-21 20:47 PDT (History)
3 users (show)

See Also:


Attachments
Proposed patch (1.45 KB, patch)
2010-04-18 08:09 PDT, François Sausset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jacques Distler 2010-04-17 21:19:50 PDT
Building the latest WebKit with the '--mathml' flag yields a compilation error. The file that fails to compile is 'RenderMathMLOperator.cpp':


src/WebKit/WebCore/mathml/RenderMathMLOperator.cpp: In member function 'virtual void WebCore::RenderMathMLOperator::updateFromElement()':
src/WebKit/WebCore/mathml/RenderMathMLOperator.cpp:196: error: no matching function for call to 'WebCore::StringImpl::create(WebCore::String)'
src/WebKit/WebCore/platform/text/StringImpl.h:135: note: candidates are: static WTF::PassRefPtr<WebCore::StringImpl> WebCore::StringImpl::create(const UChar*, unsigned int)
src/WebKit/WebCore/platform/text/StringImpl.h:136: note:                 static WTF::PassRefPtr<WebCore::StringImpl> WebCore::StringImpl::create(const char*, unsigned int)
src/WebKit/WebCore/platform/text/StringImpl.h:137: note:                 static WTF::PassRefPtr<WebCore::StringImpl> WebCore::StringImpl::create(const char*)
src/WebKit/WebCore/platform/text/StringImpl.h:138: note:                 static WTF::PassRefPtr<WebCore::StringImpl> WebCore::StringImpl::create(const UChar*, unsigned int, WTF::PassRefPtr<WTF::CrossThreadRefCounted<WTF::OwnFastMallocPtr<const short unsigned int> > >)
PhaseScriptExecution "Check For Inappropriate Files In Framework" /Users/distler/src/WebkitBuild/WebCore.build/Release/WebCore.build/Script-5DF50887116F3077005202AB.sh
Comment 1 Jacques Distler 2010-04-17 21:37:08 PDT
Related, presumably, to changes in Revision 57748.
Comment 2 François Sausset 2010-04-18 08:09:30 PDT
Created attachment 53629 [details]
Proposed patch

Fix to match the "StringImpl" changes.
Comment 3 WebKit Commit Bot 2010-04-19 09:59:00 PDT
Comment on attachment 53629 [details]
Proposed patch

Rejecting patch 53629 from commit-queue.

Unexpected failure when landing patch!  Please file a bug against webkit-patch.
Failed to run "['WebKitTools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', 'land-attachment', '--force-clean', '--build', '--test', '--non-interactive', '--ignore-builders', '--build-style=both', '--quiet', '53629', '--parent-command=commit-queue', '--no-update']" exit_code: 1
Last 500 characters of output:
', 'commit', '--all', '-F', '-'], input=message)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 85, in run_command
    return Executive().run_command(*args, **kwargs)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 186, in run_command
    string_to_communicate = str(input)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe7' in position 16: ordinal not in range(128)
Comment 4 Eric Seidel (no email) 2010-04-19 12:26:13 PDT
Sorry, you were bitten by bug 37765.  Hopefully I'll land that today and we'll re-queue this.
Comment 5 Eric Seidel (no email) 2010-04-20 12:58:01 PDT
Comment on attachment 53629 [details]
Proposed patch

Sorry again for the trouble.
Comment 6 Eric Seidel (no email) 2010-04-21 03:49:08 PDT
Comment on attachment 53629 [details]
Proposed patch

The fix for bug 37765 was rolled out.  So this will fail to land.  Hopefully I'll reland the fix tomorrow at which point I'll cq+ this again.
Comment 7 Eric Seidel (no email) 2010-04-21 15:12:45 PDT
Comment on attachment 53629 [details]
Proposed patch

Fixed again.
Comment 8 WebKit Commit Bot 2010-04-21 20:47:38 PDT
Comment on attachment 53629 [details]
Proposed patch

Clearing flags on attachment: 53629

Committed r58049: <http://trac.webkit.org/changeset/58049>
Comment 9 WebKit Commit Bot 2010-04-21 20:47:43 PDT
All reviewed patches have been landed.  Closing bug.